/******************************************************
 *             G-Tronic Robotics                      *
 *         source code: Buttons debouncer             *
 *  Marco Gottardo 01/01/2018                         *
 *  PIC: 16F877A                                      *
 *  Hardware: Micro-GT MyKit 2018 V1.0                *
 *  Compiler: XC8 v1.43                               *
 *  IDE: MPLABX v4.0                                  *
 ******************************************************/

/********************************************************
 * Board setup: These program start 2 motors in CW or CCW*
 * direction. Bebounced time is preset at 10milliseconds*
 * In the Micro-GT MyKit align the SV7 and SV8 in pullUP*
 * mode, (jumper aligned to right). Disable all the     *
 * switches in "Display" DIP, enable all the switechs in*
 * "Pulsanti" DIP. Remember to close the jumper to pin  *
 * 21,22,23,24 to give the command to rel.             *
 * Board layout so identify the DIP and jumper is on    *
 * http://www.gtronic.it/test/index.php/micro-gt-mykit-2018/
 * here you can finde the schematic to wiring the motors *
 * *****************************************************/          

#include <xc.h>
#include "settaggiXC.h"  //Imposta i fuses (config word setup)

//you can move the define inside the settaggiXC header file
#define  MotB_CCW RD2    //define of motor rel interface
#define  MotA_CCW RD3
#define  MotB_CW  RC4
#define  MotA_CW  RC5

#define  reverse_B   RB0  //define of command buttons
#define  reverse_A   RB1
#define  start_B     RB2
#define  start_A     RB3

int main()
{
presetTris();
  while(1)
  {
    if(reverse_B == 0) //If Switch Pressed
    {
      __delay_ms(10); //Debouncy Delay 10 to 25 ms
        if(reverse_B == 0) //If Switch Pressed
        {
         MotB_CCW=1; //Rel solenoid motor B backward ON
        }
    }
    else MotB_CCW=0;
    
    if(reverse_A == 0) //If Switch Pressed
    {
      __delay_ms(10); //Debouncy Delay 10 to 25 ms
        if(reverse_A == 0) //If Switch Pressed
        {
          MotA_CCW = 1; //Rel solenoid motor A backward ON 
        }
    }
    else MotA_CCW=0;
    
    if(start_B == 0) //If Switch Pressed
    {
      __delay_ms(10); //Debouncy Delay 10 to 25 ms
        if(start_B == 0) //If Switch Pressed
        {
         MotB_CW=1; //Rel solenoid motor B forward ON
        }
    }
    else MotB_CW=0;
    
    if(start_A == 0) //If Switch Pressed
    {
      __delay_ms(10); //Debouncy Delay 10 to 25 ms
        if(start_A == 0) //If Switch Pressed
        {
          MotA_CW = 1; //Rel solenoid motor A forward ON 
        }
    }
    else MotA_CW=0;
    CLRWDT();
  }
  return 0;
}
