/******************************************************
 *             G-Tronic Robotics                      *
 *        header file Lampeggio LED                   *
 *  Marco Gottardo 01/01/2018                         *
 *  PIC: 16F877A                                      *
 *  Hardware: Micro-GT MyKit 2018 V1.0                *
 *  Compiler: XC8 v1.43                               *
 *  IDE: MPLABX v4.0                                  *
 ******************************************************/  

#define _XTAL_FREQ 20000000

// BEGIN CONFIG
#pragma config FOSC = HS // Oscillator Selection bits (HS oscillator)
#pragma config WDTE = ON // Watchdog Timer Enable bit (WDT enabled)
#pragma config PWRTE = OFF // Power-up Timer Enable bit (PWRT disabled)
#pragma config BOREN = ON // Brown-out Reset Enable bit (BOR enabled)
#pragma config LVP = OFF // Low-Voltage (Single-Supply) In-Circuit Serial Programming Enable bit (RB3 is digital I/O, HV on MCLR must be used for programming)
#pragma config CPD = OFF // Data EEPROM Memory Code Protection bit (Data EEPROM code protection off)
#pragma config WRT = OFF // Flash Program Memory Write Enable bits (Write protection off; all program memory may be written to by EECON control)
#pragma config CP = OFF // Flash Program Memory Code Protection bit (Code protection off)
//END CONFIG

void presetTris(){  
TRISBbits.TRISB0 = 1;  //imposta il bit 0 del PORTB in input
  TRISBbits.TRISB1 = 1;  //imposta il bit 1 del PORTB in input
  TRISBbits.TRISB2 = 1;  //imposta il bit 2 del PORTB in input
  TRISBbits.TRISB3 = 1;  //imposta il bit 3 del PORTB in input
  TRISBbits.TRISB4 = 1;  //imposta il bit 4 del PORTB in input
  TRISBbits.TRISB5 = 1;  //imposta il bit 5 del PORTB in input
  TRISBbits.TRISB6 = 1;  //imposta il bit 6 del PORTB in input
  TRISBbits.TRISB7 = 1;  //imposta il bit 7 del PORTB in input
  
  TRISDbits.TRISD2 = 0;  //imposta il bit 2 del PORTD in uscita
  TRISDbits.TRISD3 = 0;  //imposta il bit 3 del PORTD in uscita
  TRISCbits.TRISC4 = 0;  //imposta il bit 4 del PORTC in uscita
  TRISCbits.TRISC5 = 0;  //imposta il bit 5 del PORTC in uscita
  
  PORTC=0;
  PORTD=0;
}